IUNIQUE(9)

NAME
iunique - get a unique inode number

SYNOPSIS

ino_t iunique(struct super_block * sb, ino_t max_reserved);

ARGUMENTS

sb
    superblock

max_reserved
    highest reserved inode number

DESCRIPTION

Obtain an inode number that is unique on the system for a given superblock. This is used by file systems that have no natural permanent inode numbering system. An inode number is returned that is higher than the reserved limit but unique.

BUGS

With a large number of inodes live on the file system this function currently becomes quite slow.

COPYRIGHT